Loading...
Searching...
No Matches
position.c File Reference

Nviz library – Position, focus settings. More...

`#include <grass/glocale.h>`
`#include <grass/nviz.h>`
Include dependency graph for position.c:

Go to the source code of this file.

## Functions

void | Nviz_init_view (nv_data *data)
int | Nviz_set_focus_state (int state_flag)
| Set focus state.
int | Nviz_set_focus_map (int type, int id)
| Set focus based on loaded map.
int | Nviz_get_focus (nv_data *data, float *x, float *y, float *z)
| Get focus.
int | Nviz_set_focus (nv_data *data, float x, float y, float z)
| Set focus.
int | Nviz_has_focus (nv_data *data)
| Test focus.
float | Nviz_get_xyrange (nv_data *data)
| Get xy range.
int | Nviz_get_zrange (nv_data *data, float *min, float *max)
| Get z range.
float | Nviz_get_longdim (nv_data *data)
| Get largest dimension.

## Detailed Description

Nviz library – Position, focus settings.

Based on visualization/nviz/src/position.c

(C) 2008, 2010 by the GRASS Development Team This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Updated/modified by Martin Landa <landa.martin gmail.com> (Google SoC 2008/2010)

Definition in file position.c.

## Function Documentation

## Nviz_get_focus()

int Nviz_get_focus | ( | nv_data * | data,
|  | float * | x,
|  | float * | y,
|  | float * | z )

Get focus.

Parameters

  data | nviz data [unused]
  x,y,z | focus coordinates

Definition at line 120 of file position.c.

References GS_get_focus(), and x.

## Nviz_get_longdim()

float Nviz_get_longdim | ( | nv_data * | data | ) |

Get largest dimension.

Parameters

  data | nviz data [unused]

Definition at line 197 of file position.c.

References GS_get_longdim().

## Nviz_get_xyrange()

float Nviz_get_xyrange | ( | nv_data * | data | ) |

Get xy range.

Parameters

  data | nviz data

Definition at line 175 of file position.c.

## Nviz_get_zrange()

int Nviz_get_zrange | ( | nv_data * | data,
|  | float * | min,
|  | float * | max )

Get z range.

Parameters

  data | nviz data [unused]
  min,max | z range

Definition at line 186 of file position.c.

References GS_get_zrange_nz(), max, and min.

## Nviz_has_focus()

int Nviz_has_focus | ( | nv_data * | data | ) |

Test focus.

Parameters

  data | nviz data [unused]

Definition at line 160 of file position.c.

References GS_get_focus().

## Nviz_init_view()

void Nviz_init_view | ( | nv_data * | data | ) |

Initialize view, position, lighting settings (focus)

Set position to center of view

Definition at line 24 of file position.c.

References GS_init_view(), Nviz_set_focus_state(), Nviz_set_light_ambient(), Nviz_set_light_bright(), Nviz_set_light_color(), and Nviz_set_light_position().

## Nviz_set_focus()

int Nviz_set_focus | ( | nv_data * | data,
|  | float | x,
|  | float | y,
|  | float | z )

Set focus.

Parameters

  data | nviz data [unused]
  x,y,z | focus coordinates

Definition at line 141 of file position.c.

References GS_set_focus(), and x.

## Nviz_set_focus_map()

int Nviz_set_focus_map | ( | int | type,
|  | int | id )

Set focus based on loaded map.

If map is MAP_OBJ_UNDEFINED, set focus from first surface/volume in the list.

Parameters

  type | map object type
  id | map object id

Returns
  0 on no focus
  id id of map object used for setting focus

Definition at line 76 of file position.c.

References G_free(), GS_get_surf_list(), GS_num_surfs(), GS_set_focus_center_map(), GS_set_nofocus(), GVL_get_vol_list(), GVL_num_vols(), and GVL_set_focus_center_map().

## Nviz_set_focus_state()

int Nviz_set_focus_state | ( | int | state_flag | ) |

Set focus state.

Parameters

  state_flag | 1 for center view, 0 use viewdir

Returns
  1 on success
  0 on failure

Definition at line 50 of file position.c.

References G_warning(), GS_set_infocus(), and GS_set_nofocus().

Referenced by Nviz_init_view().